Skip to content

Execute a source with current grants and the actor's business-data context.

POST
/api/workspace/data-sources/{catalogItemId}/execute
curl --request POST \
--url https://example.com/api/workspace/data-sources/example/execute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "Parameters": "example", "ExpectedSchemaFingerprint": "example", "Page": { "PageNumber": 1, "PageSize": 1 }, "Sort": { "FieldKey": "example", "Direction": 1 } }'
catalogItemId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Request to preview-execute a data source.

object
Parameters

Typed parameter JSON payload for the provider.

nullable
ExpectedSchemaFingerprint

Descriptor fingerprint expected by the caller.

string
nullable
Page

Represents a paging request for table and list DataSource outputs.

object
PageNumber
integer format: int32
PageSize
integer format: int32
Sort

Represents a sort request for table and list DataSource outputs.

object
FieldKey
string
nullable
Direction

Defines sort direction for table and list DataSource requests.

integer format: int32
Allowed values: 1 2

OK

Media typeapplication/json
object
Data

Successful data-source execution result plus source metadata.

object
CatalogItemId

Catalog item identifier.

string
nullable
StableId

Stable data-source identifier.

string
nullable
Key

Data-source key.

string
nullable
SchemaFingerprint

Descriptor fingerprint used for this execution.

string
nullable
Result

Represents the result of a DataSource execution.

object
Shape

Defines the shape returned by a DataSource execution.

integer format: int32
Allowed values: 1 2 3 4 5 6 7
Payload
Page

Represents paging metadata returned by a table or list DataSource.

object
PageNumber
integer format: int32
PageSize
integer format: int32
TotalCount
integer format: int64
nullable
HasMore
boolean
Warnings
Array<object>
nullable

Represents a warning emitted by DataSource execution.

object
Code
string
nullable
Message
string
nullable
FieldKey
string
nullable
Links
Array<object>
nullable

Represents a typed link emitted by DataSource execution.

object
TargetKind

Defines link target families that can be emitted by DataSources.

integer format: int32
Allowed values: 1 2 3 4 5 6 7 8 9 10
TargetId
string
nullable
Label
string
nullable
RouteValues
object
key
additional properties
string
QueryValues
object
key
additional properties
string
ExecutedAtUtc
string format: date-time
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Result": {
"Shape": 1,
"Links": [
{
"TargetKind": 1
}
]
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Successful data-source execution result plus source metadata.

object
CatalogItemId

Catalog item identifier.

string
nullable
StableId

Stable data-source identifier.

string
nullable
Key

Data-source key.

string
nullable
SchemaFingerprint

Descriptor fingerprint used for this execution.

string
nullable
Result

Represents the result of a DataSource execution.

object
Shape

Defines the shape returned by a DataSource execution.

integer format: int32
Allowed values: 1 2 3 4 5 6 7
Payload
Page

Represents paging metadata returned by a table or list DataSource.

object
PageNumber
integer format: int32
PageSize
integer format: int32
TotalCount
integer format: int64
nullable
HasMore
boolean
Warnings
Array<object>
nullable

Represents a warning emitted by DataSource execution.

object
Code
string
nullable
Message
string
nullable
FieldKey
string
nullable
Links
Array<object>
nullable

Represents a typed link emitted by DataSource execution.

object
TargetKind

Defines link target families that can be emitted by DataSources.

integer format: int32
Allowed values: 1 2 3 4 5 6 7 8 9 10
TargetId
string
nullable
Label
string
nullable
RouteValues
object
key
additional properties
string
QueryValues
object
key
additional properties
string
ExecutedAtUtc
string format: date-time
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Result": {
"Shape": 1,
"Links": [
{
"TargetKind": 1
}
]
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}